public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-emulation/waydroid/
Date: Thu, 12 May 2022 09:14:53 +0000 (UTC)	[thread overview]
Message-ID: <1652335983.fb2ec3dc191be7147795e857b32b8d0511959b57.andrewammerlaan@gentoo> (raw)

commit:     fb2ec3dc191be7147795e857b32b8d0511959b57
Author:     Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Thu May 12 06:13:03 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu May 12 06:13:03 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fb2ec3dc

app-emulation/waydroid: new package, add 1.2.1

Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>

 app-emulation/waydroid/Manifest              |  1 +
 app-emulation/waydroid/waydroid-1.2.1.ebuild | 41 ++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/app-emulation/waydroid/Manifest b/app-emulation/waydroid/Manifest
new file mode 100644
index 000000000..1514b8248
--- /dev/null
+++ b/app-emulation/waydroid/Manifest
@@ -0,0 +1 @@
+DIST waydroid-1.2.1.tar.gz 222939 BLAKE2B ce69cb5ded92653b9e3c02e89e8ddab1e34ef8d4b16d1863119346495829efe6baae4bf0171d284186e0042602bf351c3926a3a900bc884f2906c9f09b62b290 SHA512 4e4aa781b84501ccde444281ab93b6c45cf91d7cda2f04565bf43bc8cdcd529b987356278f9e369a71fbb249b3bcdbd0ea56d37d48d0fbf1bf8bf186b4383a43

diff --git a/app-emulation/waydroid/waydroid-1.2.1.ebuild b/app-emulation/waydroid/waydroid-1.2.1.ebuild
new file mode 100644
index 000000000..1c9b31ce9
--- /dev/null
+++ b/app-emulation/waydroid/waydroid-1.2.1.ebuild
@@ -0,0 +1,41 @@
+#Relaismatrix/ Messung Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_9 )
+inherit python-single-r1
+
+DESCRIPTION="A container-based approach to boot a full Android system on a regular Linux system"
+HOMEPAGE="https://waydro.id"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND=""
+RDEPEND="
+	app-containers/lxc \
+	dev-lang/python \
+	dev-python/pygobject \
+	dev-python/gbinder \
+	net-firewall/nftables \
+	net-dns/dnsmasq \
+	${PYTHON_DEPS}
+	"
+
+src_install() {
+	python_fix_shebang waydroid.py
+	mv waydroid.py waydroid || die
+	python_doscript waydroid
+	python_domodule tools
+	python_domodule data
+	insinto "/usr/share/applications"
+	doins "data/Waydroid.desktop"
+	insinto "/etc/gbinder.d"
+	doins "gbinder/anbox.conf"
+	insinto "/usr/lib/systemd/system"
+	doins "debian/waydroid-container.service"
+}


             reply	other threads:[~2022-05-12  9:15 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-12  9:14 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-12-20 17:23 [gentoo-commits] repo/proj/guru:master commit in: app-emulation/waydroid/ Haelwenn Monnier
2022-12-20 17:23 Haelwenn Monnier
2022-12-20 17:23 Haelwenn Monnier
2022-12-19 10:56 Viorel Munteanu
2022-12-19 10:56 Viorel Munteanu
2022-12-19 10:56 Viorel Munteanu
2022-12-19 10:56 Viorel Munteanu
2022-12-19 10:56 Viorel Munteanu
2022-09-26 10:05 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2022-09-26 10:05 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2022-05-12  9:14 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1652335983.fb2ec3dc191be7147795e857b32b8d0511959b57.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox